Subject: Re: git reset --hard w/o touching every file

From: "Edward Z. Yang" <[email-masked]>
Date: Sun, 02 Nov 2008 00:36:09 -0400

Jeff King wrote:
> Sorry, I don't quite understand. You want to check out some subset of
> files, but you don't know which subset?

Yeah, I should elaborate a little.

I'm using a script to automatically update a website with the contents
of a Git repository at a specified interval. While I could use git pull,
I've been told that it's safer to do a git fetch, and then a git reset
--hard remotes/master, because the former could trigger a merge and on a
live website that is NOT desirable.

Unfortunately, since Git touches all files on a reset --hard, it's
causing problems with the smart cache system, which checks whether or
not the cache file is older than the source file, and regenerating if it is.

Cheers,
Edward